Debian Bug report logs - #627120
lilo 23.2-1 mkrescue fails to create temporary directory

version graph

Package: lilo; Maintainer for lilo is Joachim Wiedorn <ad_debian@joonet.de>; Source for lilo is src:lilo.

Reported by: "Steven R. Wright" <srw6666@gmail.com>

Date: Tue, 17 May 2011 19:54:01 UTC

Severity: normal

Found in version 23.2-1

Fixed in version lilo/1:23.2-2

Done: Joachim Wiedorn <ad_debian@joonet.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joachim Wiedorn <ad_debian@joonet.de>:
Bug#627120; Package lilo. (Tue, 17 May 2011 19:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steven R. Wright" <srw6666@gmail.com>:
New Bug report received and forwarded. Copy sent to Joachim Wiedorn <ad_debian@joonet.de>. (Tue, 17 May 2011 19:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Steven R. Wright" <srw6666@gmail.com>
To: submit@bugs.debian.org
Subject: lilo 23.2-1 mkrescue fails to create temporary directory
Date: Tue, 17 May 2011 14:51:29 -0500
Package: lilo
Version: 23.2-1

mkrescue fails to create a temporary directory, claiming it already 
exists,  tho' it in fact does not.  mkrescue in the previous version of 
lilo succeeds.

#1 london:/tmp
> id
uid=0(root) gid=0(root) groups=0(root),102(lpadmin)

#2 london:/tmp
> ls
loopstats  loopstats.20110517  peerstats  peerstats.20110517

#3 london:/tmp
> mkrescue --iso --size HD
mkdir: cannot create directory `/tmp/mkrescue.jdhTuEdnRo': File exists
Could not create temporary directory.

#4 london:/tmp> ls
loopstats  loopstats.20110517  peerstats  peerstats.20110517







Information forwarded to debian-bugs-dist@lists.debian.org, Joachim Wiedorn <ad_debian@joonet.de>:
Bug#627120; Package lilo. (Wed, 18 May 2011 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steven R. Wright" <srw6666@gmail.com>:
Extra info received and forwarded to list. Copy sent to Joachim Wiedorn <ad_debian@joonet.de>. (Wed, 18 May 2011 17:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 627120@bugs.debian.org (full text, mbox):

From: "Steven R. Wright" <srw6666@gmail.com>
To: 627120@bugs.debian.org
Subject: mkrescue in lilo 23.2-1
Date: Wed, 18 May 2011 12:40:49 -0500
looking at this further,  if i comment out this

# mkdir $tmpbase || {
#    echo "Could not create temporary directory."
#    exit 1
# }

it goes thru OK.  the earlier line

tmpbase="`mktemp -dt $(basename $0).XXXXXXXXXX`" || exit

would have already created the directory if there were no errors, correct?

(note: lilo 23.1-1 has already vanished from the pool, but mkrescue 
worked there.  i wanted to diff the mkrescue files but could not)

sRw




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#627120; Package lilo. (Wed, 18 May 2011 17:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Wiedorn <ad_debian@joonet.de>:
Extra info received and forwarded to list. (Wed, 18 May 2011 17:57:05 GMT) Full text and rfc822 format available.

Message #15 received at 627120@bugs.debian.org (full text, mbox):

From: Joachim Wiedorn <ad_debian@joonet.de>
To: "Steven R. Wright" <srw6666@gmail.com>, 627120@bugs.debian.org
Subject: Re: Bug#627120: mkrescue in lilo 23.2-1
Date: Wed, 18 May 2011 19:55:08 +0200
"Steven R. Wright" <srw6666@gmail.com> wrote on 2011-05-18 12:40:

> looking at this further,  if i comment out this
> 
> # mkdir $tmpbase || {
> #    echo "Could not create temporary directory."
> #    exit 1
> # }
> 
> it goes thru OK.  the earlier line
> 
> tmpbase="`mktemp -dt $(basename $0).XXXXXXXXXX`" || exit
> 
> would have already created the directory if there were no errors, correct?
> 
> (note: lilo 23.1-1 has already vanished from the pool, but mkrescue 
> worked there.  i wanted to diff the mkrescue files but could not)

Thanks for your collaboration. I will check the problem and try your patch.
The next Debian version with the finally patch coming next week.

---
Have a nice day.

Joachim (Germany)




Reply sent to Joachim Wiedorn <ad_debian@joonet.de>:
You have taken responsibility. (Sat, 18 Jun 2011 22:36:09 GMT) Full text and rfc822 format available.

Notification sent to "Steven R. Wright" <srw6666@gmail.com>:
Bug acknowledged by developer. (Sat, 18 Jun 2011 22:36:09 GMT) Full text and rfc822 format available.

Message #20 received at 627120-close@bugs.debian.org (full text, mbox):

From: Joachim Wiedorn <ad_debian@joonet.de>
To: 627120-close@bugs.debian.org
Subject: Bug#627120: fixed in lilo 1:23.2-2
Date: Sat, 18 Jun 2011 22:34:09 +0000
Source: lilo
Source-Version: 1:23.2-2

We believe that the bug you reported is fixed in the latest version of
lilo, which is due to be installed in the Debian FTP archive:

lilo-doc_23.2-2_all.deb
  to main/l/lilo/lilo-doc_23.2-2_all.deb
lilo_23.2-2.debian.tar.gz
  to main/l/lilo/lilo_23.2-2.debian.tar.gz
lilo_23.2-2.dsc
  to main/l/lilo/lilo_23.2-2.dsc
lilo_23.2-2_amd64.deb
  to main/l/lilo/lilo_23.2-2_amd64.deb
lilo_23.2-2_i386.deb
  to main/l/lilo/lilo_23.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627120@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Wiedorn <ad_debian@joonet.de> (supplier of updated lilo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 18 Jun 2011 23:38:38 +0200
Source: lilo
Binary: lilo lilo-doc
Architecture: all amd64 i386 source
Version: 1:23.2-2
Distribution: unstable
Urgency: low
Maintainer: Joachim Wiedorn <ad_debian@joonet.de>
Changed-By: Joachim Wiedorn <ad_debian@joonet.de>
Closes: 283281 368133 627120 628931 629321
Description: 
 lilo-doc   - LInux LOader - Documentation for the classic OS boot loader
 lilo       - LInux LOader - the classic OS boot loader
Changes: 
 lilo (1:23.2-2) unstable; urgency=low
 .
   * debian/control:
     - Move to debhelper (>= 8).
     - Update Vcs Git and Browser URLs.
     - Remove old Uploader (not active anymore).
   * Move to compatibility level 8.
   * Update lilo.conf manpage using better explanations.
       (Closes: #283281, #368133, #629321)
   * Update of Swedish translation (sv.po). (Closes: #628931)
   * Update of mkrescue script.  (Closes: #627120)
Checksums-Sha1: 
 b762846a6626ee427eae67e5fcdbe8775e37f87e 1245 lilo_23.2-2.dsc
 4146f0d3c8641a07ca82c7c2a1efeb80d896d5d0 69380 lilo_23.2-2.debian.tar.gz
 e0243d7cde27767d6341872c602170bff11775e8 295484 lilo_23.2-2_amd64.deb
 532113be17af26655db346caf0f43430105a14b2 678516 lilo-doc_23.2-2_all.deb
 d2731e9072c1805a650615918d3d6c7180b717d0 299548 lilo_23.2-2_i386.deb
Checksums-Sha256: 
 2cb4a0a2f266cacfe3fef77593f054f164cacdde50042a96cf8189fcc49092ab 1245 lilo_23.2-2.dsc
 37e42e239c1c7f738977ed83c8624d6772fd2628a09c8f9f48aee3320493b3b6 69380 lilo_23.2-2.debian.tar.gz
 ff1a65adf6d94f4236082878501aabd0525a9f1e5906ebd651535a248870098b 295484 lilo_23.2-2_amd64.deb
 2b7b2f3af802252d82584a517e96305350b846d081d6e3d476f54038130f0c92 678516 lilo-doc_23.2-2_all.deb
 4c94c886a647bbd1d7075b75464e2eee5bd77ce7a15efad389a161da2f69b096 299548 lilo_23.2-2_i386.deb
Files: 
 5f9dd60aca1eba4694d5d938993f87ac 1245 admin optional lilo_23.2-2.dsc
 f4c76c500c85be253887c87eb3149251 69380 admin optional lilo_23.2-2.debian.tar.gz
 4c0428438b295e5fb0e8a0686d399178 295484 admin optional lilo_23.2-2_amd64.deb
 330112db2c7d82e7ad271e8e73368e44 678516 doc optional lilo-doc_23.2-2_all.deb
 ef9ab2e560c3afc9376d944c83f62f5f 299548 admin optional lilo_23.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk39IWMACgkQSiJUZB/hsIuhYQCfZPZQVnCin2CZVJtnjdbhxAKa
A3EAoIVeswlnFmjKkoSs3UiBN48K2R8r
=HUzf
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jul 2011 07:33:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:30:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.